import request from '@/utils/request'

// 查询问题分组列表
export function listQueGroup(query) {
  return request({
    url: '/yiqing/queGroup/list',
    method: 'get',
    params: query
  })
}

// 查询问题分组详细
export function getQueGroup(queGroupId) {
  return request({
    url: '/yiqing/queGroup/' + queGroupId,
    method: 'get'
  })
}

// 新增问题分组
export function addQueGroup(data) {
  return request({
    url: '/yiqing/queGroup',
    method: 'post',
    data: data
  })
}

// 修改问题分组
export function updateQueGroup(data) {
  return request({
    url: '/yiqing/queGroup',
    method: 'put',
    data: data
  })
}

// 删除问题分组
export function delQueGroup(queGroupId) {
  return request({
    url: '/yiqing/queGroup/' + queGroupId,
    method: 'delete'
  })
}

// 导出问题分组
export function exportQueGroup(query) {
  return request({
    url: '/yiqing/queGroup/export',
    method: 'get',
    params: query
  })
}